Article ID: 2201, created on Sep 27, 2007, last review on May 5, 2014

  • Applies to:
  • Plesk for Linux/Unix

Symptoms

I run Plesk upgrade autoinstaller returns an error like error:

There was an error downloading: http://autoinstall.plesk.com/PSA_8....919.15.i586.hdr
An error has occurred: exceptions.UnboundLocalError
See /var/log/up2date for more information

or it can be another 'file not found error', for example:

An HTTP error occurred:
URL: http://autoinstall.plesk.com/PSA_8.1.1//headers/header.info
Status Code: 404
Error Message: Not Found
Filefetcher: get file PSA_8.2.0/plesk-8.2.0-rhel4-i386.inf3
ERROR: The up2date utility failed to install the required packages.

Cause

It happens when search for updates is done in Plesk repositories for other versions.

Resolution

Comment out or delete all Plesk-related records that contain 'autoinstall.plesk.com' from /etc/sysconfig/rhn/sources file and re-run autoinstaller again, and only needed SWsoft sources will be added back automatically.

29d1e90fd304f01e6420fbe60f66f838 a914db3fdc7a53ddcfd1b2db8f5a1b9c 56797cefb1efc9130f7c48a7d1db0f0c

Email subscription for changes to this article
Save as PDF